> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Address Funding Details (v2)

> Returns the first inbound funder of this address. On range2 EVM chains (eth, base, arb1, pol, bnb) the answer is served from ClickHouse full history rather than the days-deep Elasticsearch transfers index. Other networks use the declared Elasticsearch transfers index (stellar) or interchain payments only (solana). Responses are cached; send `Cache-Control: no-cache` to force a fresh lookup.



## OpenAPI

````yaml /api-reference/data-api.json get /v2/address/fundedBy
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.31
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v2/address/fundedBy:
    get:
      tags:
        - Address Information
      summary: Get Address Funding Details (v2)
      description: >-
        Returns the first inbound funder of this address. On range2 EVM chains
        (eth, base, arb1, pol, bnb) the answer is served from ClickHouse full
        history rather than the days-deep Elasticsearch transfers index. Other
        networks use the declared Elasticsearch transfers index (stellar) or
        interchain payments only (solana). Responses are cached; send
        `Cache-Control: no-cache` to force a fresh lookup.
      operationId: getAddressFundedByV2
      parameters:
        - name: network
          required: true
          in: query
          description: Network of Address
          schema:
            type: string
        - name: address
          required: true
          in: query
          description: Address to search
          schema:
            type: string
      responses:
        '200':
          description: Address Funding Details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FundedBy'
        '404':
          description: No funder found in the available history for this address.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FundedByNotFoundDto'
        '503':
          description: A funding source failed and no funder could be determined.
components:
  schemas:
    FundedBy:
      type: object
      properties:
        address:
          $ref: '#/components/schemas/IAddress'
        network:
          type: string
        tx_hash:
          type: string
        time:
          type: string
        amount:
          type: string
        token:
          type: string
      required:
        - address
        - network
        - tx_hash
        - time
        - amount
        - token
    FundedByNotFoundDto:
      type: object
      properties:
        statusCode:
          type: object
          default: 404
          enum:
            - 100
            - 101
            - 102
            - 103
            - 200
            - 201
            - 202
            - 203
            - 204
            - 205
            - 206
            - 207
            - 208
            - 210
            - 300
            - 301
            - 302
            - 303
            - 304
            - 307
            - 308
            - 400
            - 401
            - 402
            - 403
            - 404
            - 405
            - 406
            - 407
            - 408
            - 409
            - 410
            - 411
            - 412
            - 413
            - 414
            - 415
            - 416
            - 417
            - 418
            - 421
            - 422
            - 423
            - 424
            - 428
            - 429
            - 456
            - 500
            - 501
            - 502
            - 503
            - 504
            - 505
            - 507
            - 508
          example: 404
        message:
          type: object
          default: No funder found for this address
          example: No funder found for this address
      required:
        - statusCode
        - message
    IAddress:
      type: object
      properties:
        address:
          type: string
        network:
          type: string
        network_icon_url:
          type: string
        category:
          type: string
        entity_name:
          type: string
        entity_icon_url:
          type: string
        label:
          type: string
        tags:
          type: array
          items:
            type: string
        risk_score:
          $ref: '#/components/schemas/RiskScore'
        confidential:
          type: boolean
        verified:
          type: boolean
      required:
        - address
        - network
        - tags
    RiskScore:
      type: object
      properties:
        riskScore:
          type: number
          nullable: true
          description: Calculated normalized risk score (higher = riskier)
          example: 8
        riskLevel:
          enum:
            - CRITICAL RISK (Directly malicious)
            - Extremely high risk
            - High risk
            - Medium risk
            - Low risk
            - Very low risk
          type: string
          description: Human readable risk level classification
        numHops:
          type: number
          nullable: true
          description: Minimum number of hops to the closest malicious address
        maliciousAddressesFound:
          description: List of malicious or related addresses discovered in the path
          type: array
          items:
            $ref: '#/components/schemas/MaliciousMetadata'
        reasoning:
          type: string
          description: Explanation of why the risk level/score was assigned
        attribution:
          description: Attribution information for known non-malicious addresses
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/Attribution'
      required:
        - riskScore
        - riskLevel
        - numHops
        - maliciousAddressesFound
        - reasoning
    MaliciousMetadata:
      type: object
      properties:
        address:
          type: string
          description: On-chain address flagged as malicious or related
        distance:
          type: number
          description: Distance in hops from the queried address (0 = directly malicious)
        name_tag:
          type: string
          description: Known name tag or label for the address
          nullable: true
        entity:
          type: string
          description: Entity or organization associated with the address
          nullable: true
        category:
          type: string
          description: Category of malicious behavior (e.g. scam, exploit, mixer)
          nullable: true
      required:
        - address
        - distance
        - name_tag
        - entity
        - category
    Attribution:
      type: object
      properties:
        name_tag:
          type: string
          description: Name or label for the attributed address
          example: Token Program
        entity:
          type: string
          description: Entity or organization associated with the address
          example: Solana
        category:
          type: string
          description: Category of the attributed address
          example: SYSTEM
        address_role:
          type: string
          description: Role or function of the address
          example: Program
      required:
        - name_tag
        - entity
        - category
        - address_role
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Authorization method required to allow user to access the api endpoints.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.